/*
	void setNumberOfPlayers(int);
	Spacecraft theShip;
	Player *player;
	char *teamname;
	int shiptype;
	int teamID;
	int score;
	
*/
#include "Team.h"

Team::Team(){

}

void Team::InitializeTeam(int type, int p, char *name){
	int i;
	shiptype = type;
	int len = strlen(name);
	if (len < 20){
		for (i = 0; i < len; i++){
			teamname[i] = name[i];
		}
	}
	else {
		for (i = 0; i < 20; i++){
			teamname[i] = name[i];
		}
	}
	player = new Player[p];
	theShip.initializeShip(type);
}
